Updates the item with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
db_info_field| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier | |
| db_info_id |
Foreign key to db_info (chapters) |
globally unique identifier |
Optionally required : db_info_id,db_info_code or node db_info must be provided |
| db_info_code |
Embedded entity "db_info" using ERP PK when adding/updating db_info_field |
string |
Optionally required : db_info_id ,db_info_code or node db_info must be provided |
| db_info |
Embedded entity "db_info" (chapter) when adding/updating db_info_field |
db_info |
Optionally required : db_info_id,db_info_code or node db_info must be provided |
| db_input_type_id |
Type of the fied (like Textbox,TextArea) |
globally unique identifier |
Optionally required : db_input_type_id or db_input_type_code must be provided |
| db_input_type_code |
Use of the possible type : TextBox,TextArea,SelectBox,RadioButton,DateTime,NumericField,Checkbox,ComboBox,Email,Url,DatePicker,MonthCalendar,TimePiker,Number |
string |
Optionally required : db_input_type_id or db_input_type_code must be provided |
| name |
Name/Code of the info field.Field used for Embedded entity (store there your ERP PK) |
string |
Required Max length: 50 |
| title |
Title that will be shown on the UI of the info field |
string |
Required Max length: 50 |
| sequence |
Sorting field (0 first), to order them inside the chapter |
integer | |
| description |
Description of the field |
string |
Max length: 255 |
| is_mandatory |
Force user to fill it before saving |
boolean | |
| is_readonly |
Avoid user to edit the value using the UI |
boolean | |
| hide_in_view_if_empty |
Hide this field in view mode if no value |
boolean | |
| udf_name |
Name of udf column that links to info field (read-only) |
string | |
| visible_on_app |
Visible this field on app |
boolean |
Request Formats :
application/json, text/json
{
"id": "ffd371f2-24b5-4f1e-9177-b6c108ee519a",
"db_info_id": "8d10f640-7815-49cc-9bba-2bad22f3a9c9",
"db_info_code": "sample string 3",
"db_info": {
"id": "1cc920d5-22db-4218-a18d-5ba23fa84c2b",
"name": "sample string 2",
"code": "sample string 3",
"sequence": 4,
"db_info_category_id": "a7fb167c-50ee-42cc-9ea1-c210dd4c1f42",
"db_info_category_code": "sample string 6",
"parent_id": "2a8024a2-6ba9-43a2-9c7d-a041dab0e1ac",
"parent_db_info_code": "sample string 8",
"modified_dateutc": "2026-02-24T17:52:27.3831793+00:00"
},
"db_input_type_id": "ea117cad-20a5-4811-b961-98be4fc55b8a",
"db_input_type_code": "sample string 5",
"name": "sample string 6",
"title": "sample string 7",
"sequence": 8,
"description": "sample string 9",
"is_mandatory": true,
"is_readonly": true,
"hide_in_view_if_empty": true,
"udf_name": "sample string 13",
"visible_on_app": true
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.